<!DOCTYPE html>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Week 5</title>
</head>

<body>

<?php

$num = 10;
do
{
	echo "I can count back from 10! The number this time is: " . $num . "<br>";
    $num--;
}
while ($num < 20); // will never reach this condition.

/*  When a browser requests this page from the server, when an infinite loop occurs, the script will keep running indefinitely on the server, consuming CPU and memory. However, most web servers (like Apache, Nginx, or PHP’s built-in server) have execution time limits. If the script runs too long, PHP forcefully stops execution.

    The PHP script outputs a massive amount of text (echo statements) and
    all this generated HTML (which could be millions of lines) gets sent to the browser. The browser tries to render and display all this content at  once. Unlike the server, the browser does not have an execution time limit for rendering. Instead, it consumes a lot of memory trying to render the massive HTML output. Eventually, the browser freezes or crashes due to memory exhaustion.
*/

?>

</body>
</html>